#include <stdio.h>
#include <omp.h>

/*
  XXXX and YYYY should be set to the relevant variable access for i
  and mythreads, respectively.
*/
#define XXXX private
#define YYYY private

int main() {
  int i, mythread;
  #pragma omp parallel default(none) XXXX(i) YYYY(mythread)
  {
    mythread = omp_get_thread_num();
    for (i=0; i<16; i++)
      printf("Thread %d gets i=%d\n", mythread,i);
  }
}
